{% extends "layouts/base.html" %}

{% block title %} Login {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}

{% endblock stylesheets %}

{% block content %}
<div class="page-inner">
    <div class="container" >
        <div class="row p-5 justify-content-center">
            <div class="col-md-5">
                {%if 'identified' not in session or session['identified'] == False %}
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                            {% if msg %}
                                    <span class="text-danger">{{ msg | safe }}</span>
                            {% else %}
                            <span>
                                Ingreso
                            </span>
                            {% endif %}
                        </div>
                    </div>
                    {% with messages = get_flashed_messages() %}
                    {% if messages %}
                    <ul>
                    {% for message in messages %}
                        <li>{{ message }}</li>
                    {% endfor %}
                    </ul>
                    {% endif %}
                    {% endwith %}
                    <form method="post" action="">
                        {{ form.hidden_tag() }}
                        <div class="card-body" >
                            <div class="row justify-content-center">
                                <div class="col-md-9 col-lg-9">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <img src="/static/asset/img/user.svg" alt="" width="25px" height="25px">
                                                </span>
                                            </div>
                                            {{ form.email(placeholder="Correo electronico", class="form-control") }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <img src="/static/asset/img/lock.svg" alt="" width="25px" height="25px">
                                                </span>
                                            </div>
                                            {{ form.password(placeholder="Password", class="form-control", type="password") }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row justify-content-end">
                                <div class="col-md-5">
                                    <div class="card-action">
                                        <button type="submit" name="login" class="btn btn-success">Ingresar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

{% endblock javascripts %}
